<form [formGroup]="resetForm1" (ngSubmit)="onSubmit()">
    <div class="form-group">
        <mat-form-field>
            <input matInput formControlName="email" placeholder="Email">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['email']" *ngIf="resetForm1.controls['email'].touched && !resetForm1.controls['email'].valid">error_outline</mat-icon>
        </mat-form-field>
    </div>

    <div class="form-button-row">
        <button mat-raised-button matStepperNext type="submit" color="primary" [disabled]="resetForm1.pristine || !resetForm1.valid">Next</button>
        <!-- <button mat-raised-button type="reset" [disabled]="resetForm1.pristine" (click)="revert()">Reset</button> -->
        <button mat-raised-button type="reset" (click)="cancel()">Cancel</button>
    </div>
</form>



<!-- 
<form class="form-signin" method="POST" action="#" role="form">
    <div class="form-group">
        <h2>Forgot Password</h2>
    </div>
    <div *ngIf="errorMessage!=null" class="alert alert-danger">
        {{ errorMessage }}
    </div>
    <div class="form-group">
        <label class="control-label" for="signupEmail">Email</label>
        <input id="signupEmail" type="email" maxlength="50" class="form-control" [(ngModel)]="email"
               [ngModelOptions]="{standalone: true}">
    </div>
    <div class="form-group">
        <button (click)="onNext()" id="nextPage" type="submit" class="btn btn-info btn-block">Next
        </button>
    </div>

    <hr>
    <p><a [routerLink]="['/home/register']"> <i class="fa fa-fw fa-group"></i> Register</a> <a
            [routerLink]="['/home/login']"> <i class="fa fa-fw fa-user"></i> Login</a>
    </p>
</form> 
-->
